/*
   Copyright (C) 2004 Michael Nelson Moran

   This file is part of OSCL.

   OSCL is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   OSCL is distributed in the hope that it will be useful, but WITHOUT
   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
   or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
   License for more details.

   You should have received a copy of the GNU General Public License
   along with OSCL; see the file COPYING.  If not, write to the Free
   Software Foundation, 59 Temple Place - Suite 330, Boston, MA
   02111-1307, USA.

   To negotiate other licensing arrangments/agreements contact
   the copyright holder:

   Michael N. Moran
   218 Wilshire Terrace       mike@mnmoran.org
   White, GA, USA 30184       http://mnmoran.org
*/

#ifndef _ianaporth_
#define _ianaporth_

enum{
	ianaPortTcpTcpmux	= 1,
	ianaPortUdpTcpmux	= 1,
	ianaPortTcpCompressnet	= 2,
	ianaPortUdpCompressnet	= 2,
	ianaPortTcpCompressnet	= 3,
	ianaPortUdpCompressnet	= 3,
	ianaPortTcpRje	= 5,
	ianaPortUdpRje	= 5,
	ianaPortTcpEcho	= 7,
	ianaPortUdpEcho	= 7,
	ianaPortTcpDiscard	= 9,
	ianaPortUdpDiscard	= 9,
	ianaPortTcpSystat	= 11,
	ianaPortUdpSystat	= 11,
	ianaPortTcpDaytime	= 13,
	ianaPortUdpDaytime	= 13,
	ianaPortTcpQotd	= 17,
	ianaPortUdpQotd	= 17,
	ianaPortTcpMsp	= 18,
	ianaPortUdpMsp	= 18,
	ianaPortTcpChargen	= 19,
	ianaPortUdpChargen	= 19,
	ianaPortTcpFtp-data	= 20,
	ianaPortUdpFtp-data	= 20,
	ianaPortTcpFtp	= 21,
	ianaPortUdpFtp	= 21,
	ianaPortTcpTelnet	= 23,
	ianaPortUdpTelnet	= 23,
	ianaPortTcpPrivatemail	= 24,
	ianaPortUdpPrivatemail	= 24,
	ianaPortTcpSmtp	= 25,
	ianaPortUdpSmtp	= 25,
	ianaPortTcpNsw-fe	= 27,
	ianaPortUdpNsw-fe	= 27,
	ianaPortTcpMsg-icp	= 29,
	ianaPortUdpMsg-icp	= 29,
	ianaPortTcpMsg-auth	= 31,
	ianaPortUdpMsg-auth	= 31,
	ianaPortTcpDsp	= 33,
	ianaPortUdpDsp	= 33,
	ianaPortTcpPrivateprinter	= 35,
	ianaPortUdpPrivateprinter	= 35,
	ianaPortTcpTime	= 37,
	ianaPortUdpTime	= 37,
	ianaPortTcpRap	= 38,
	ianaPortUdpRap	= 38,
	ianaPortTcpRlp	= 39,
	ianaPortUdpRlp	= 39,
	ianaPortTcpGraphics	= 41,
	ianaPortUdpGraphics	= 41,
	ianaPortTcpNameserver	= 42,
	ianaPortUdpNameserver	= 42,
	ianaPortTcpNicname	= 43,
	ianaPortUdpNicname	= 43,
	ianaPortTcpMpm-flags	= 44,
	ianaPortUdpMpm-flags	= 44,
	ianaPortTcpMpm	= 45,
	ianaPortUdpMpm	= 45,
	ianaPortTcpMpm-snd	= 46,
	ianaPortUdpMpm-snd	= 46,
	ianaPortTcpNi-ftp	= 47,
	ianaPortUdpNi-ftp	= 47,
	ianaPortTcpAuditd	= 48,
	ianaPortUdpAuditd	= 48,
	ianaPortTcpLogin	= 49,
	ianaPortUdpLogin	= 49,
	ianaPortTcpRe-mail-ck	= 50,
	ianaPortUdpRe-mail-ck	= 50,
	ianaPortTcpLa-maint	= 51,
	ianaPortUdpLa-maint	= 51,
	ianaPortTcpXns-time	= 52,
	ianaPortUdpXns-time	= 52,
	ianaPortTcpDomain	= 53,
	ianaPortUdpDomain	= 53,
	ianaPortTcpXns-ch	= 54,
	ianaPortUdpXns-ch	= 54,
	ianaPortTcpIsi-gl	= 55,
	ianaPortUdpIsi-gl	= 55,
	ianaPortTcpXns-auth	= 56,
	ianaPortUdpXns-auth	= 56,
	ianaPortTcpPrivateterminal	= 57,
	ianaPortUdpPrivateterminal	= 57,
	ianaPortTcpXns-mail	= 58,
	ianaPortUdpXns-mail	= 58,
	ianaPortTcpPrivatefile	= 59,
	ianaPortUdpPrivatefile	= 59,
	ianaPortTcpNi-mail	= 61,
	ianaPortUdpNi-mail	= 61,
	ianaPortTcpAcas	= 62,
	ianaPortUdpAcas	= 62,
	ianaPortTcpCovia	= 64,
	ianaPortUdpCovia	= 64,
	ianaPortTcpTacacs-ds	= 65,
	ianaPortUdpTacacs-ds	= 65,
	ianaPortTcpSql*net	= 66,
	ianaPortUdpSql*net	= 66,
	ianaPortTcpBootps	= 67,
	ianaPortUdpBootps	= 67,
	ianaPortTcpBootpc	= 68,
	ianaPortUdpBootpc	= 68,
	ianaPortTcpTftp	= 69,
	ianaPortUdpTftp	= 69,
	ianaPortTcpGopher	= 70,
	ianaPortUdpGopher	= 70,
	ianaPortTcpNetrjs-1	= 71,
	ianaPortUdpNetrjs-1	= 71,
	ianaPortTcpNetrjs-2	= 72,
	ianaPortUdpNetrjs-2	= 72,
	ianaPortTcpNetrjs-3	= 73,
	ianaPortUdpNetrjs-3	= 73,
	ianaPortTcpNetrjs-4	= 74,
	ianaPortUdpNetrjs-4	= 74,
	ianaPortTcpPrivatedialout	= 75,
	ianaPortUdpPrivatedialout	= 75,
	ianaPortTcpDeos	= 76,
	ianaPortUdpDeos	= 76,
	ianaPortTcpPrivateRJE	= 77,
	ianaPortUdpPrivateRJE	= 77,
	ianaPortTcpVettcp	= 78,
	ianaPortUdpVettcp	= 78,
	ianaPortTcpFinger	= 79,
	ianaPortUdpFinger	= 79,
	ianaPortTcpWww-http	= 80,
	ianaPortUdpWww-http	= 80,
	ianaPortTcphosts2-ns	= 81,
	ianaPortUdphosts2-ns	= 81,
	ianaPortTcpxfer	= 82,
	ianaPortUdpXfer	= 82,
	ianaPortTcpMit-ml-dev	= 83,
	ianaPortUdpMit-ml-dev	= 83,
	ianaPortTcpCtf	= 84,
	ianaPortUdpCtf	= 84,
	ianaPortTcpMit-ml-dev	= 85,
	ianaPortUdpMit-ml-dev	= 85,
	ianaPortTcpMfcobol	= 86,
	ianaPortUdpMfcobol	= 86,
	ianaPortTcpPrivateterminallink	= 87,
	ianaPortUdpPrivateterminallink	= 87,
	ianaPortTcpKerberos	= 88,
	ianaPortUdpKerberos	= 88,
	ianaPortTcpSu-mit-tg	= 89,
	ianaPortUdpSu-mit-tg	= 89,
	ianaPortTcpDnsix	= 90,
	ianaPortUdpDnsix	= 90,
	ianaPortTcpMit-dov	= 91,
	ianaPortUdpMit-dov	= 91,
	ianaPortTcpNpp	= 92,
	ianaPortUdpNpp	= 92,
	ianaPortTcpDcp	= 93,
	ianaPortUdpDcp	= 93,
	ianaPortTcpObjcall	= 94,
	ianaPortUdpObjcall	= 94,
	ianaPortTcpSupdup	= 95,
	ianaPortUdpSupdup	= 95,
	ianaPortTcpDixie	= 96,
	ianaPortUdpDixie	= 96,
	ianaPortTcpSwift-rvf	= 97,
	ianaPortUdpSwift-rvf	= 97,
	ianaPortTcpTacnews	= 98,
	ianaPortUdpTacnews	= 98,
	ianaPortTcpMetagram	= 99,
	ianaPortUdpMetagram	= 99,
	ianaPortTcpNewacct	= 100,
	ianaPortTcpHostname	= 101,
	ianaPortUdpHostname	= 101,
	ianaPortTcpIso-tsap	= 102,
	ianaPortUdpIso-tsap	= 102,
	ianaPortTcpGppitnp	= 103,
	ianaPortUdpGppitnp	= 103,
	ianaPortTcpAcr-nema	= 104,
	ianaPortUdpAcr-nema	= 104,
	ianaPortTcpCsnet-ns	= 105,
	ianaPortUdpCsnet-ns	= 105,
	ianaPortTcp3com-tsmux	= 106,
	ianaPortUdp3com-tsmux	= 106,
	ianaPortTcpRtelnet	= 107,
	ianaPortUdpRtelnet	= 107,
	ianaPortTcpSnagas	= 108,
	ianaPortUdpSnagas	= 108,
	ianaPortTcpPop2	= 109,
	ianaPortUdpPop2	= 109,
	ianaPortTcpPop3	= 110,
	ianaPortUdpPop3	= 110,
	ianaPortTcpSunrpc	= 111,
	ianaPortUdpSunrpc	= 111,
	ianaPortTcpMcidas	= 112,
	ianaPortUdpMcidas	= 112,
	ianaPortTcpAuth	= 113,
	ianaPortUdpAuth	= 113,
	ianaPortTcpAudionews	= 114,
	ianaPortUdpAudionews	= 114,
	ianaPortTcpSftp	= 115,
	ianaPortUdpSftp	= 115,
	ianaPortTcpAnsanotify	= 116,
	ianaPortUdpAnsanotify	= 116,
	ianaPortTcpUucp-path	= 117,
	ianaPortUdpUucp-path	= 117,
	ianaPortTcpSqlserv	= 118,
	ianaPortUdpSqlserv	= 118,
	ianaPortTcpNntp	= 119,
	ianaPortUdpNntp	= 119,
	ianaPortTcpCfdptkt	= 120,
	ianaPortUdpCfdptkt	= 120,
	ianaPortTcpErpc	= 121,
	ianaPortUdpErpc	= 121,
	ianaPortTcpSmakynet	= 122,
	ianaPortUdpSmakynet	= 122,
	ianaPortTcpNtp	= 123,
	ianaPortUdpNtp	= 123,
	ianaPortTcpAnsatrader	= 124,
	ianaPortUdpAnsatrader	= 124,
	ianaPortTcpLocus-map	= 125,
	ianaPortUdpLocus-map	= 125,
	ianaPortTcpUnitary	= 126,
	ianaPortUdpUnitary	= 126,
	ianaPortTcpLocus-con	= 127,
	ianaPortUdpLocus-con	= 127,
	ianaPortTcpGss-xlicen	= 128,
	ianaPortUdpGss-xlicen	= 128,
	ianaPortTcpPwdgen	= 129,
	ianaPortUdpPwdgen	= 129,
	ianaPortTcpCisco-fna	= 130,
	ianaPortUdpCisco-fna	= 130,
	ianaPortTcpCisco-tna	= 131,
	ianaPortUdpCisco-tna	= 131,
	ianaPortTcpCisco-sys	= 132,
	ianaPortUdpCisco-sys	= 132,
	ianaPortTcpStatsrv	= 133,
	ianaPortUdpStatsrv	= 133,
	ianaPortTcpIngres-net	= 134,
	ianaPortUdpIngres-net	= 134,
	ianaPortTcpLoc-srv	= 135,
	ianaPortUdpLoc-srv	= 135,
	ianaPortTcpProfile	= 136,
	ianaPortUdpProfile	= 136,
	ianaPortTcpNetbios-ns	= 137,
	ianaPortUdpNetbios-ns	= 137,
	ianaPortTcpNetbios-dgm	= 138,
	ianaPortUdpNetbios-dgm	= 138,
	ianaPortTcpNetbios-ssn	= 139,
	ianaPortUdpNetbios-ssn	= 139,
	ianaPortTcpEmfis-data	= 140,
	ianaPortUdpEmfis-data	= 140,
	ianaPortTcpEmfis-cntl	= 141,
	ianaPortUdpEmfis-cntl	= 141,
	ianaPortTcpBl-idm	= 142,
	ianaPortUdpBl-idm	= 142,
	ianaPortTcpImap2	= 143,
	ianaPortUdpImap2	= 143,
	ianaPortTcpNews	= 144,
	ianaPortUdpNews	= 144,
	ianaPortTcpUaac	= 145,
	ianaPortUdpUaac	= 145,
	ianaPortTcpIso-tp0	= 146,
	ianaPortUdpIso-tp0	= 146,
	ianaPortTcpIso-ip	= 147,
	ianaPortUdpIso-ip	= 147,
	ianaPortTcpCronus	= 148,
	ianaPortUdpCronus	= 148,
	ianaPortTcpAed-512	= 149,
	ianaPortUdpAed-512	= 149,
	ianaPortTcpSql-net	= 150,
	ianaPortUdpSql-net	= 150,
	ianaPortTcpHems	= 151,
	ianaPortUdpHems	= 151,
	ianaPortTcpBftp	= 152,
	ianaPortUdpBftp	= 152,
	ianaPortTcpSgmp	= 153,
	ianaPortUdpSgmp	= 153,
	ianaPortTcpNetsc-prod	= 154,
	ianaPortUdpNetsc-prod	= 154,
	ianaPortTcpNetsc-dev	= 155,
	ianaPortUdpNetsc-dev	= 155,
	ianaPortTcpSqlsrv	= 156,
	ianaPortUdpSqlsrv	= 156,
	ianaPortTcpKnet-cmp	= 157,
	ianaPortUdpKnet-cmp	= 157,
	ianaPortTcpPcmail-srv	= 158,
	ianaPortUdpPcmail-srv	= 158,
	ianaPortTcpNss-routing	= 159,
	ianaPortUdpNss-routing	= 159,
	ianaPortTcpSgmp-traps	= 160,
	ianaPortUdpSgmp-traps	= 160,
	ianaPortTcpSnmp	= 161,
	ianaPortUdpSnmp	= 161,
	ianaPortTcpSnmptrap	= 162,
	ianaPortUdpSnmptrap	= 162,
	ianaPortTcpCmip-man	= 163,
	ianaPortUdpCmip-man	= 163,
	ianaPortTcpCmip-agent	= 164,
	ianaPortUdpSmip-agent	= 164,
	ianaPortTcpXns-courier	= 165,
	ianaPortUdpXns-courier	= 165,
	ianaPortTcpS-net	= 166,
	ianaPortUdpS-net	= 166,
	ianaPortTcpNamp	= 167,
	ianaPortUdpNamp	= 167,
	ianaPortTcpRsvd	= 168,
	ianaPortUdpRsvd	= 168,
	ianaPortTcpSend	= 169,
	ianaPortUdpSend	= 169,
	ianaPortTcpPrint-srv	= 170,
	ianaPortUdpPrint-srv	= 170,
	ianaPortTcpMultiplex	= 171,
	ianaPortUdpMultiplex	= 171,
	ianaPortTcpCl/1	= 172,
	ianaPortUdpCl/1	= 172,
	ianaPortTcpXyplex-mux	= 173,
	ianaPortUdpXyplex-mux	= 173,
	ianaPortTcpMailq	= 174,
	ianaPortUdpMailq	= 174,
	ianaPortTcpVmnet	= 175,
	ianaPortUdpVmnet	= 175,
	ianaPortTcpGenrad-mux	= 176,
	ianaPortUdpGenrad-mux	= 176,
	ianaPortTcpXdmcp	= 177,
	ianaPortUdpXdmcp	= 177,
	ianaPortTcpNextstep	= 178,
	ianaPortUdpnextStep	= 178,
	ianaPortTcpBgp	= 179,
	ianaPortUdpBgp	= 179,
	ianaPortTcpRis	= 180,
	ianaPortUdpRis	= 180,
	ianaPortTcpUnify	= 181,
	ianaPortUdpUnify	= 181,
	ianaPortTcpAudit	= 182,
	ianaPortUdpAudit	= 182,
	ianaPortTcpOcbinder	= 183,
	ianaPortUdpOcbinder	= 183,
	ianaPortTcpOcserver	= 184,
	ianaPortUdpOcserver	= 184,
	ianaPortTcpRemote-kis	= 185,
	ianaPortUdpRemote-kis	= 185,
	ianaPortTcpKis	= 186,
	ianaPortUdpKis	= 186,
	ianaPortTcpAci	= 187,
	ianaPortUdpAci	= 187,
	ianaPortTcpMumps	= 188,
	ianaPortUdpMumps	= 188,
	ianaPortTcpQft	= 189,
	ianaPortUdpQft	= 189,
	ianaPortTcpGacp	= 190,
	ianaPortUdpCacp	= 190,
	ianaPortTcpProspero	= 191,
	ianaPortUdpProspero	= 191,
	ianaPortTcpOsu-nms	= 192,
	ianaPortUdpOsu-nms	= 192,
	ianaPortTcpSrmp	= 193,
	ianaPortUdpSrmp	= 193,
	ianaPortTcpIrc	= 194,
	ianaPortUdpIrc	= 194,
	ianaPortTcpDn6-nlm-aud	= 195,
	ianaPortUdpDn6-nlm-aud	= 195,
	ianaPortTcpDn6-smm-red	= 196,
	ianaPortUdpDn6-smm-red	= 196,
	ianaPortTcpDls	= 197,
	ianaPortUdpDls	= 197,
	ianaPortTcpDls-mon	= 198,
	ianaPortUdpDls-mon	= 198,
	ianaPortTcpSmux	= 199,
	ianaPortUdpSmux	= 199,
	ianaPortTcpSrc	= 200,
	ianaPortUdpSrc	= 200,
	ianaPortTcpAt-rtmp	= 201,
	ianaPortUdpAt-rtmp	= 201,
	ianaPortTcpAt-nbp	= 202,
	ianaPortUdpAt-nbp	= 202,
	ianaPortTcpAt-3	= 203,
	ianaPortUdpAt-3	= 203,
	ianaPortTcpAt-echo	= 204,
	ianaPortUdpAt-echo	= 204,
	ianaPortTcpAt-5	= 205,
	ianaPortUdpAt-5	= 205,
	ianaPortTcpAt-zis	= 206,
	ianaPortUdpAt-zis	= 206,
	ianaPortTcpAt-7	= 207,
	ianaPortUdpAt-7	= 207,
	ianaPortTcpAt-8	= 208,
	ianaPortUdpAt-8	= 208,
	ianaPortTcpTam	= 209,
	ianaPortUdpTam	= 209,
	ianaPortTcpZ39.50	= 210,
	ianaPortUdpZ39.50	= 210,
	ianaPortTcp914c/g	= 211,
	ianaPortUdp914c/g	= 211,
	ianaPortTcpAnet	= 212,
	ianaPortUdpAnet	= 212,
	ianaPortTcpIpx	= 213,
	ianaPortUdpIpx	= 213,
	ianaPortTcpVmpwscs	= 214,
	ianaPortUdpVmpwscs	= 214,
	ianaPortTcpSoftpc	= 215,
	ianaPortUdpSoftpc	= 215,
	ianaPortTcpAtls	= 216,
	ianaPortUdpAtls	= 216,
	ianaPortTcpDbase	= 217,
	ianaPortUdpDbase	= 217,
	ianaPortTcpMpp	= 218,
	ianaPortUdpMpp	= 218,
	ianaPortTcpUarps	= 219,
	ianaPortUdpUarps	= 219,
	ianaPortTcpImap3	= 220,
	ianaPortUdpImap3	= 220,
	ianaPortTcpFln-spx	= 221,
	ianaPortUdpFln-spx	= 221,
	ianaPortTcpRsh-spx	= 222,
	ianaPortUdpRsh-spx	= 222,
	ianaPortTcpCdc	= 223,
	ianaPortUdpCdc	= 223,
	ianaPortTcpSur-meas	= 243,
	ianaPortUdpSur-meas	= 243,
	ianaPortTcpLink	= 245,
	ianaPortUdpLink	= 245,
	ianaPortTcpDsp3270	= 246,
	ianaPortUdpDsp3270	= 246,
	ianaPortTcpPdap	= 344,
	ianaPortUdpPdap	= 344,
	ianaPortTcpPawserv	= 345,
	ianaPortUdpPawserv	= 345,
	ianaPortTcpZserv	= 346,
	ianaPortUdpZserv	= 346,
	ianaPortTcpFatserv	= 347,
	ianaPortUdpFatserv	= 347,
	ianaPortTcpCsi-sgwp	= 348,
	ianaPortUdpCsi-sgwp	= 348,
	ianaPortTcpClearcase	= 371,
	ianaPortUdpClearcase	= 371,
	ianaPortTcpUlistserv	= 372,
	ianaPortUdpUlistserv	= 372,
	ianaPortTcpLegent-1	= 373,
	ianaPortUdpLegent-1	= 373,
	ianaPortTcpLegent-2	= 374,
	ianaPortUdpLegent-2	= 374,
	ianaPortTcpHassle	= 375,
	ianaPortUdpHassle	= 375,
	ianaPortTcpNip	= 376,
	ianaPortUdpNip	= 376,
	ianaPortTcpTnETOS	= 377,
	ianaPortUdpTnETOS	= 377,
	ianaPortTcpDsETOS	= 378,
	ianaPortUdpDsETOS	= 378,
	ianaPortTcpIs99c	= 379,
	ianaPortUdpIs99c	= 379,
	ianaPortTcpIs99s	= 380,
	ianaPortUdpIs99s	= 380,
	ianaPortTcpHp-collector	= 381,
	ianaPortUdpHp-collector	= 381,
	ianaPortTcpHp-managed-node	= 382,
	ianaPortUdpHp-managed-node	= 382,
	ianaPortTcpHp-alarm-mgr	= 383,
	ianaPortUdpHp-alarm-mgr	= 383,
	ianaPortTcpArns	= 384,
	ianaPortUdpArns	= 384,
	ianaPortTcpIbm-app	= 385,
	ianaPortTcpAsa	= 386,
	ianaPortUdpAsa	= 386,
	ianaPortTcpAurp	= 387,
	ianaPortUdpAurp	= 387,
	ianaPortTcpUnidata-ldm	= 388,
	ianaPortUdpUnidata-ldm	= 388,
	ianaPortTcpLdap	= 389,
	ianaPortUdpLdap	= 389,
	ianaPortTcpUis	= 390,
	ianaPortUdpUis	= 390,
	ianaPortTcpSynotics-relay	= 391,
	ianaPortUdpSynotics-relay	= 391,
	ianaPortTcpSynotics-broker	= 392,
	ianaPortUdpSynotics-broker	= 392,
	ianaPortTcpDis	= 393,
	ianaPortUdpDis	= 393,
	ianaPortTcpEmbl-ndt	= 394,
	ianaPortUdpEmbl-ndt	= 394,
	ianaPortTcpNetcp	= 395,
	ianaPortUdpNetcp	= 395,
	ianaPortTcpNetware-ip	= 396,
	ianaPortUdpNetware-ip	= 396,
	ianaPortTcpMptn	= 397,
	ianaPortUdpMptn	= 397,
	ianaPortTcpKryptolan	= 398,
	ianaPortUdpKryptolan	= 398,
	ianaPortTcpWork-sol	= 400,
	ianaPortUdpWork-sol	= 400,
	ianaPortTcpUps	= 401,
	ianaPortUdpUps	= 401,
	ianaPortTcpGenie	= 402,
	ianaPortUdpGenie	= 402,
	ianaPortTcpDecap	= 403,
	ianaPortUdpDecap	= 403,
	ianaPortTcpNced	= 404,
	ianaPortUdpNced	= 404,
	ianaPortTcpNcld	= 405,
	ianaPortUdpNcld	= 405,
	ianaPortTcpImsp	= 406,
	ianaPortUdpImsp	= 406,
	ianaPortTcpTimbuktu	= 407,
	ianaPortUdpTimbuktu	= 407,
	ianaPortTcpPrm-sm	= 408,
	ianaPortUdpPrm-sm	= 408,
	ianaPortTcpPrm-nm	= 409,
	ianaPortUdpPrm-nm	= 409,
	ianaPortTcpDecladebug	= 410,
	ianaPortUdpDecladebug	= 410,
	ianaPortTcpRmt	= 411,
	ianaPortUdpRmt	= 411,
	ianaPortTcpSynoptics-trap	= 412,
	ianaPortUdpSynoptics-trap	= 412,
	ianaPortTcpSmsp	= 413,
	ianaPortUdpSmsp	= 413,
	ianaPortTcpInfoseek	= 414,
	ianaPortUdpInfoseek	= 414,
	ianaPortTcpBnet	= 415,
	ianaPortUdpBnet	= 415,
	ianaPortTcpSilverplatter	= 416,
	ianaPortUdpSilverplatter	= 416,
	ianaPortTcpOnmux	= 417,
	ianaPortUdpOnmux	= 417,
	ianaPortTcpHyper-g	= 418,
	ianaPortUdpHyper-g	= 418,
	ianaPortTcpAriel1	= 419,
	ianaPortUdpAriel1	= 419,
	ianaPortTcpSmpte	= 420,
	ianaPortUdpSmpte	= 420,
	ianaPortTcpAriel2	= 421,
	ianaPortUdpAriel2	= 421,
	ianaPortTcpAriel3	= 422,
	ianaPortUdpAriel3	= 422,
	ianaPortTcpOpc-job-start	= 423,
	ianaPortUdpOpc-job-start	= 423,
	ianaPortTcpOpc-job-track	= 424,
	ianaPortUdpOpc-job-track	= 424,
	ianaPortTcpIcad-el	= 425,
	ianaPortUdpIcad-el	= 425,
	ianaPortTcpSmartsdp	= 426,
	ianaPortUdpSmartsdp	= 426,
	ianaPortTcpSvrloc	= 427,
	ianaPortUdpSvrloc	= 427,
	ianaPortTcpOcs_cmu	= 428,
	ianaPortUdpOcs_cmu	= 428,
	ianaPortTcpOcs_amu	= 429,
	ianaPortUdpOcs_amu	= 429,
	ianaPortTcpUtmpsd	= 430,
	ianaPortUdpUtmpsd	= 430,
	ianaPortTcpUtmpcd	= 431,
	ianaPortUdpUtmpcd	= 431,
	ianaPortTcpIasd	= 432,
	ianaPortUdpIasd	= 432,
	ianaPortTcpNnsp	= 433,
	ianaPortUdpNnsp	= 433,
	ianaPortTcpMobileip-agent	= 434,
	ianaPortUdpMobileip-agent	= 434,
	ianaPortTcpMobilip-mn	= 435,
	ianaPortUdpMobilip-mn	= 435,
	ianaPortTcpDna-cml	= 436,
	ianaPortUdpDna-cml	= 436,
	ianaPortTcpComscm	= 437,
	ianaPortUdpComscm	= 437,
	ianaPortTcpDsfgw	= 438,
	ianaPortUdpDsfgw	= 438,
	ianaPortTcpDasp	= 439,
	ianaPortUdpDasp	= 439,
	ianaPortTcpSgcp	= 440,
	ianaPortUdpSgcp	= 440,
	ianaPortTcpDecvms-sysmgt	= 441,
	ianaPortUdpDecvms-sysmgt	= 441,
	ianaPortTcpCvc_hostd	= 442,
	ianaPortUdpCvc_hostd	= 442,
	ianaPortTcpHttps	= 443,
	ianaPortUdpHttps	= 443,
	ianaPortTcpSnpp	= 444,
	ianaPortUdpSnpp	= 444,
	ianaPortTcpMicrosoft-ds	= 445,
	ianaPortUdpMicrosoft-ds	= 445,
	ianaPortTcpDdm-rdb	= 446,
	ianaPortUdpDdm-rdb	= 446,
	ianaPortTcpDdm-dfm	= 447,
	ianaPortUdpDdm-dfm	= 447,
	ianaPortTcpDdm-byte	= 448,
	ianaPortUdpDdm-byte	= 448,
	ianaPortTcpAs-servermap	= 449,
	ianaPortUdpAs-servermap	= 449,
	ianaPortTcpTserver	= 450,
	ianaPortUdpTserver	= 450,
	ianaPortTcpExec	= 512,
	ianaPortUdpBiff	= 512,
	ianaPortTcpLogin	= 513,
	ianaPortUdpWho	= 513,
	ianaPortTcpCmd	= 514,
	ianaPortUdpSyslog	= 514,
	ianaPortTcpPrinter	= 515,
	ianaPortUdpPrinter	= 515,
	ianaPortTcpTalk	= 517,
	ianaPortUdpTalk	= 517,
	ianaPortTcpNtalk	= 518,
	ianaPortUdpNtalk	= 518,
	ianaPortTcpUtime	= 519,
	ianaPortUdpUtime	= 519,
	ianaPortTcpEfs	= 520,
	ianaPortUdpRouter	= 520,
	ianaPortTcpTimed	= 525,
	ianaPortUdpTimed	= 525,
	ianaPortTcpTempo	= 526,
	ianaPortUdpTempo	= 526,
	ianaPortTcpCourier	= 530,
	ianaPortUdpCourier	= 530,
	ianaPortTcpConference	= 531,
	ianaPortUdpConference	= 531,
	ianaPortTcpNetnews	= 532,
	ianaPortUdpNetnews	= 532,
	ianaPortTcpNetwall	= 533,
	ianaPortUdpNetwall	= 533,
	ianaPortTcpApertus-ldp	= 539,
	ianaPortUdpApertus-ldp	= 539,
	ianaPortTcpUucp	= 540,
	ianaPortUdpUucp	= 540,
	ianaPortTcpUucp-rlogin	= 541,
	ianaPortUdpUucp-rlogin	= 541,
	ianaPortTcpKlogin	= 543,
	ianaPortUdpKlogin	= 543,
	ianaPortTcpKshell	= 544,
	ianaPortUdpKshell	= 544,
	ianaPortTcpNew-rwho	= 550,
	ianaPortUdpNew-rwho	= 550,
	ianaPortTcpDsf	= 555,
	ianaPortUdpDsf	= 555,
	ianaPortTcpRemotefs	= 556,
	ianaPortUdpRemotefs	= 556,
	ianaPortTcpRmonitor	= 560,
	ianaPortUdpRmonitor	= 560,
	ianaPortTcpMonitor	= 561,
	ianaPortUdpMonitor	= 561,
	ianaPortTcpChshell	= 562,
	ianaPortUdpChshell	= 562,
	ianaPortTcp9pfs	= 564,
	ianaPortUdp9pfs	= 564,
	ianaPortTcpWhoami	= 565,
	ianaPortUdpWhoami	= 565,
	ianaPortTcpMeter	= 570,
	ianaPortUdpMeter	= 570,
	ianaPortTcpMeter	= 571,
	ianaPortUdpMeter	= 571,
	ianaPortTcpIpcserver	= 600,
	ianaPortUdpIpcserver	= 600,
	ianaPortTcpNqs	= 607,
	ianaPortUdpNqs	= 607,
	ianaPortTcpUrm	= 606,
	ianaPortUdpUrm	= 606,
	ianaPortTcpSift-uft	= 608,
	ianaPortUdpSift-uft	= 608,
	ianaPortTcpNpmp-trap	= 609,
	ianaPortUdpNpmp-trap	= 609,
	ianaPortTcpNpmp-local	= 610,
	ianaPortUdpNpmp-local	= 610,
	ianaPortTcpNpmp-gui	= 611,
	ianaPortUdpNpmp-gui	= 611,
	ianaPortTcpGinad	= 634,
	ianaPortUdpGinad	= 634,
	ianaPortTcpMdqs	= 666,
	ianaPortUdpMdqs	= 666,
	ianaPortTcpDoom	= 666,
	ianaPortTcpElcsd	= 704,
	ianaPortUdpElcsd	= 704,
	ianaPortTcpEntrustmanager	= 709,
	ianaPortUdpEntrustmanager	= 709,
	ianaPortTcpNetviewdm1	= 729,
	ianaPortUdpNetviewdm1	= 729,
	ianaPortTcpNetviewdm2	= 730,
	ianaPortUdpNetviewdm2	= 730,
	ianaPortTcpNetviewdm3	= 731,
	ianaPortUdpNetviewdm3	= 731,
	ianaPortTcpNetgw	= 741,
	ianaPortUdpNetgw	= 741,
	ianaPortTcpNetrcs	= 742,
	ianaPortUdpNetrcs	= 742,
	ianaPortTcpFlexlm	= 744,
	ianaPortUdpFlexlm	= 744,
	ianaPortTcpFujitsu-dev	= 747,
	ianaPortUdpFujitsu-dev	= 747,
	ianaPortTcpRis-cm	= 748,
	ianaPortUdpRis-cm	= 748,
	ianaPortTcpKerberos-adm	= 749,
	ianaPortUdpKerberos-adm	= 749,
	ianaPortTcpRfile	= 750,
	ianaPortUdpLoadav	= 750,
	ianaPortTcpPump	= 751,
	ianaPortUdpPump	= 751,
	ianaPortTcpQrh	= 752,
	ianaPortUdpQrh	= 752,
	ianaPortTcpRrh	= 753,
	ianaPortUdpRrh	= 753,
	ianaPortTcpTell	= 754,
	ianaPortUdpTell	= 754,
	ianaPortTcpNlogin	= 758,
	ianaPortUdpNlogin	= 758,
	ianaPortTcpCon	= 759,
	ianaPortUdpCon	= 759,
	ianaPortTcpNs	= 760,
	ianaPortUdpNs	= 760,
	ianaPortTcpRxe	= 761,
	ianaPortUdpRxe	= 761,
	ianaPortTcpQuotad	= 762,
	ianaPortUdpQuotad	= 762,
	ianaPortTcpCycleserv	= 763,
	ianaPortUdpCycleserv	= 763,
	ianaPortTcpOmserv	= 764,
	ianaPortUdpOmserv	= 764,
	ianaPortTcpWebster	= 765,
	ianaPortUdpWebster	= 765,
	ianaPortTcpPhonebook	= 767,
	ianaPortUdpPhonebook	= 767,
	ianaPortTcpVid	= 769,
	ianaPortUdpVid	= 769,
	ianaPortTcpCadlock	= 770,
	ianaPortUdpCadlock	= 770,
	ianaPortTcpRtip	= 771,
	ianaPortUdpRtip	= 771,
	ianaPortTcpCycleserv2	= 772,
	ianaPortUdpCycleserv2	= 772,
	ianaPortTcpSubmit	= 773,
	ianaPortUdpNotify	= 773,
	ianaPortTcpRpasswd	= 774,
	ianaPortUdpAcmaint_dbd	= 774,
	ianaPortTcpEntomb	= 775,
	ianaPortUdpAcmaint_transd	= 775,
	ianaPortTcpWpages	= 776,
	ianaPortUdpWpages	= 776,
	ianaPortTcpWpgs	= 780,
	ianaPortUdpWpgs	= 780,
	ianaPortTcpConcert	= 786,
	ianaPortUdpConcert	= 786,
	ianaPortTcpMdbs_daemon	= 800,
	ianaPortUdpMdbs_daemon	= 800,
	ianaPortTcpDevice	= 801,
	ianaPortUdpDevice	= 801,
	ianaPortTcpXtreelic	= 996,
	ianaPortUdpXtreelic	= 996,
	ianaPortTcpMaitrd	= 997,
	ianaPortUdpMaitrd	= 997,
	ianaPortTcpBusboy	= 998,
	ianaPortUdpPuparp	= 998,
	ianaPortTcpGarcon	= 999,
	ianaPortUdpApplix	= 999,
	ianaPortTcpPuprouter	= 999,
	ianaPortUdpPuprouter	= 999,
	ianaPortTcpCadlock	= 1000,
	ianaPortUdpOck	= 1000
};

#endif

